Support » Fixing WordPress » Should I upgrade to 2.8?

  • My blog site “webhost4lifereview.com”
    I’m considering upgrade to WordPress 2.8
    But I’m not sure how to start?
    Especially I’m not sure whether the theme is still able to use?
    Anyone is using WP 2.8?
    How is WordPress 2.8
    thanks

Viewing 6 replies - 1 through 6 (of 6 total)
  • I dont see the point if its only problems.
    I don`t want to loose it all.

    What`s new in 2.8?

    I haven’t seen any new features yet, but I’m sure they are there, otherwise it would have been 2.7.2. I’m on 2.8 with five installations and all work fine. The automatic upgrade didn’t, so I used manual. What I have seen so far, it is identical to 2.7. And to answer your question if you should upgrade, as far as I know there are no known security problems with 2.7.1, so I guess the answer is no. Of course you might hear too late when such problems do occur. For security reasons it is usually safe to have the latest version.

    But you can always start here of course:
    codex.wordpress.org/Version_2.8

    things to consider:

    – is you site live with substantial traffic? and you can’t afford an outage?
    – do you use a lot of plugins?
    – what version of wordpress you use currently?

    It is generally better to upgrade to the latest version which includes performance improvements and bug fixes. wordpress 2.8 has made the admin interface noticeably faster and allows new management for widgets and themes amongst many other things.

    Most of the problems that arise after an upgrade are not because of the core update, but rather from incompatibility of plugins, or not understanding the new changes.

    If you rely on a lot of plugins you are more likley to have issues, since it takes a while for all the plugins to be updated if ncessary by the authors.

    My 2 cents is that if you have a relatively new site, use few plugins, with little traffic for now, then its probably best to upgrade.

    no – if it aint broke, dont fix it

    wpmetoo

    (@wpmetoo)

    wp 2.8 is the worst release and very problematic…don’t upgrade if you ask me. I lost a lot of work after the upgrade as things stopped working and I already lost a day trying to recover and still at it. Widgets no longer works but the ads are there to tease you. The developer needs to fix bugs fast, please

    Ryan S

    (@ryan_accuwebhosting)

    May be that this version is not that good like the previous releases, but we should consider the security. We always should upgrade to the latest version to avoid security holes.

    Also, many bugs are fixed in this version. So I suggest upgrading..

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Should I upgrade to 2.8?’ is closed to new replies.